> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get configuration limits

> Retrieve the current configuration limit settings



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/taxonomy/v1/config
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/config:
    get:
      tags:
        - Tags
      summary: Get configuration limits
      description: Retrieve the current configuration limit settings
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_server.ConfigResponse
components:
  schemas:
    data-taxonomy-service_server.ConfigResponse:
      type: object
      properties:
        maxDepth:
          type: integer
        maxLabelLength:
          type: integer
        maxSelectAllowedValueLength:
          type: integer
        maxSelectAllowedValuesCount:
          type: integer

````

## Related topics

- [Gets all non-archived Resource Configurations based on the provided filters](/6.3/api-reference/model-deployment/gets-all-non-archived-resource-configurations-based-on-the-provided-filters.md)
- [Gets a Resource Configuration](/6.3/api-reference/model-deployment/gets-a-resource-configuration.md)
- [Gets the effective configuration for model deployments using the resource configuration](/6.3/api-reference/model-deployment/gets-the-effective-configuration-for-model-deployments-using-the-resource-configuration.md)
- [Configuration override](/6.3/reference/api/data_api/datasource_usecases/config_override.md)
